credit_score_ids field.
Example
- Application to open a Line of Credit account with FICO score used for credit decision -
POST /v1/credit_scores
PATCH /v1/applications/{APPLICATION_UUID}
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Accurate recording of when a credit score is pulled and utilized for credit decisions is paramount, particularly in the context of credit applications.
credit_score_ids field.
Example
POST /v1/credit_scores curl -X POST \
-H 'Authorization: Bearer $apikey' \
-H 'Content-Type: application/json' \
-d '
{
"customer_id": "{{application_customer_id}}",
"score": 725,
"score_requested_time": "2023-09-19T19:15:45.861687Z",
"source_of_score": "ACCOUNT_OPENING",
"type": "FICO",
"vendor_name": "EQUIFAX",
"version": "8"
}' $baseurl/v1/credit_scores
{
"creation_time": "2023-09-19T15:48:24.10184Z",
"customer_id": "4a666a01-d23a-47b1-8c20-2eb5a923da35",
"id": "c387f46a-0a9e-44bc-82fa-aed68982e6a5",
"last_updated_time": "2023-09-19T20:14:45.861687Z",
"score": 725,
"score_requested_time": "2023-09-19T19:15:45.861687Z",
"source_of_score": "ACCOUNT_OPENING",
"type": "FICO",
"vendor_name": "EQUIFAX",
"version": "8"
}
PATCH /v1/applications/{APPLICATION_UUID}
curl -X PATCH \
-H 'Content-Type: application/json' \
-d '
{
"applicants": [
{
"is_primary": true,
"customer_id": "4a666a01-d23a-47b1-8c20-2eb5a923da35",
"credit_score_ids": ["c387f46a-0a9e-44bc-82fa-aed68982e6a5"]
}' $baseurl/v1/applications/{APPLICATION_UUID}
{
"account_type": "LINE_OF_CREDIT",
"applicants": [
{
"credit_score_ids": ["c387f46a-0a9e-44bc-82fa-aed68982e6a5"],
"customer_id": "4a666a01-d23a-47b1-8c20-2eb5a923da35",
"is_primary": true
}
],
"purpose": "ACCOUNT_OPENING",
"status": "SUBMITTED",
"type": "CREDIT",
"creation_time": "2023-09-19T19:14:45.861687Z",
"id": "ebda67f0-e0a7-41e2-98ed-0617a1e815a6",
"last_updated_time": "2023-09-20T00:31:10.255042Z"
}
Was this page helpful?
